<?php
require_once( "../../db.php" );
//require_once( "useSingleton.php" );
/**
 * Methods for database handling.
 */
class Operations extends Db  {

   
    const BCRYPT_COST = 14;
	
	public $term;
	public $session;
	public $staffid;
	public $date;
	public $old;
	public $new;
	public $class;
	public $name;
	public $amount;

	public $payid;
	public $id;
	public $amountpaid;
	public $balance;
	public $year;
	public $month;
	public $status;





	
	 
	 
	 public function __construct() {

   }

   public function updatePortal($id,$term,$session,$staffid,$date)
   {
	 $instance = parent::getInstance();
	// $instance = new DBAccess();
 $MySQLiconn  = $instance->getConnection();
 
  $sql = 'UPDATE portal  SET term = :term, session = :session, staffid = :staffid, date = :date   where id = :id';
  
	
	$statement = $MySQLiconn->prepare($sql);
	 $statement->bindValue(':id', $id);
	$statement->bindValue(':term', $term);
	$statement->bindValue(':session', $session);
	$statement->bindValue(':staffid', $staffid);
	$statement->bindValue(':date', $date);
	
	$statement->execute();
  
 
   
	parent::DisConnect( $MySQLiconn);   
	}

	public function findCurrentPortalValues($id){
			
		$instance = parent::getInstance();	
   $MySQLiconn  = $instance->getConnection();
		
		try {
		$sql = "SELECT * from portal WHERE id =:id";
		
		$statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':id',$id);
		 $statement->execute();
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->term = $row['term'];
	  $this->session = $row['session'];
	  $this->staffid = $row['staffid'];
	  $this->date = $row['date'];
		parent::DisConnect( $MySQLiconn);	

		}
		catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 

		}	

	
	
		public function AddFee($name,$amount,$class,$date){
		
			try{
		   
		   
		   $instance = parent::getInstance();
		   // $instance = new DBAccess();
		$MySQLiconn  = $instance->getConnection();
			
		   $sql = 'INSERT INTO managefees (name,amount,class,date)
				   VALUES (:name, :amount,:class, :date)';
   
		  
			
		   $statement = $MySQLiconn->prepare($sql);
			$statement->bindValue(':name', $name);
		   $statement->bindValue(':amount', $amount);
		   $statement->bindValue(':class', $class);
		   $statement->bindValue(':date', $date);
		   
		   
		   $statement->execute();
   
		   parent::DisConnect( $MySQLiconn);	 
			   
			   
			   
				
				
				}
				
				catch(Exception $e){
			   echo "oops! ".$e->getMessage(); 
			   
			   } 
			   
		   
	   }






	   public function findFeeById($id){
			
		$instance = parent::getInstance();	
   $MySQLiconn  = $instance->getConnection();
		
		try {
		$sql = "SELECT * from managefees WHERE id =:id";
		
		$statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':id',$id);
		 $statement->execute();
	  $row = $statement->fetch(PDO::FETCH_ASSOC);  
	  $this->amount = $row['amount'];
	  $this->name = $row['name'];
	  $this->class = $row['class'];
	  $this->date = $row['date'];
		parent::DisConnect( $MySQLiconn);	

		}
		catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 

		}

	
		public function updateFee($id,$amount,$name,$class,$date)
		{
		  $instance = parent::getInstance();
		 // $instance = new DBAccess();
	  $MySQLiconn  = $instance->getConnection();
	  
	   $sql = 'UPDATE managefees  SET amount = :amount, name = :name, class = :class, date = :date   where id = :id';
	   
		 
		 $statement = $MySQLiconn->prepare($sql);
		  $statement->bindValue(':id', $id);
		 $statement->bindValue(':amount', $amount);
		 $statement->bindValue(':name', $name);
		 $statement->bindValue(':class', $class);
		 $statement->bindValue(':date', $date);
		 
		 $statement->execute();
	   
	  
		
		 parent::DisConnect( $MySQLiconn);   
		 }	

   
		 public function getAllFeesForm(){
	 
			$instance = parent::getInstance();
			  // $instance = new DBAccess();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = 	"SELECT  * FROM managefees where name like '%form%' ";
		   
		   
		   $statement = $MySQLiconn->prepare($sql);
			  
			
			  $statement->execute();
			  
			  return $statement;
			 
			   parent::DisConnect( $MySQLiconn); 
		   
		   }	

		  
		   public function deleteFee($id)
		   {
			 $instance = parent::getInstance();
			// $instance = new DBAccess();
		 $MySQLiconn  = $instance->getConnection();
		 
		  $sql = 'delete from managefees   where id = :id';
		  
			
			$statement = $MySQLiconn->prepare($sql);
			 $statement->bindValue(':id', $id);
			
			
			$statement->execute();
		  
		 
		   
			parent::DisConnect( $MySQLiconn);   
			}	
			
	
			
			// add sales of form
/*
			public function saleform($name,$amount,$class,$date){
		
				try{
			   
			   
			   $instance = parent::getInstance();
			   // $instance = new DBAccess();
			$MySQLiconn  = $instance->getConnection();
				
			   $sql = 'INSERT INTO managefees (name,amount,class,date)
					   VALUES (:name, :amount,:class, :date)';
	   
			  
				
			   $statement = $MySQLiconn->prepare($sql);
				$statement->bindValue(':name', $name);
			   $statement->bindValue(':amount', $amount);
			   $statement->bindValue(':class', $class);
			   $statement->bindValue(':date', $date);
			   
			   
			   $statement->execute();
	   
			   parent::DisConnect( $MySQLiconn);	 
				   
				   
				   
					
					
					}
					
					catch(Exception $e){
				   echo "oops! ".$e->getMessage(); 
				   
				   } 
				   
			   
		   }
  */
	
		   public function viewnetSalaryByMonthYear($month,$year){
			$instance = parent::getInstance();	
			  $MySQLiconn  = $instance->getConnection();
			   
			   $sql = "SELECT p.id, p.payid,
			  p.month,p.year,p.net_salary,s.lname,s.fname, p.amountpaid,
			   p.balance 
					   FROM  payaccount p INNER JOIN payrollstaff s ON
					   p.payid = s.payid
						 where  p.month = :month AND p.year = :year and p.status = 'cash' "  ;
	   
			   $statement = $MySQLiconn->prepare($sql);
			  
				$statement->bindValue(':month', $month);
				$statement->bindValue(':year', $year);
			  
			   $statement->execute();
			   
			   
			   return $statement;
			  
				parent::DisConnect( $MySQLiconn);  
					
			   
			   
			   } 

			   public function findPayAccountByid($id){
			
				$instance = parent::getInstance();	
		   $MySQLiconn  = $instance->getConnection();
				
				try {
				$sql = "SELECT * from payaccount WHERE id = :id";
				
				$statement = $MySQLiconn->prepare($sql);
				
				$statement->bindValue(':id',$id);
				 $statement->execute();
			  $row = $statement->fetch(PDO::FETCH_ASSOC);
		 	  
			  $this->payid = $row['payid'];
			  $this->id = $row['id'];
			  $this->net_salary = $row['net_salary'];
			  $this->amountpaid = $row['amountpaid'];
		
			  $this->balance = $row['balance'];
			  $this->status = $row['status'];
		
			 
	
	
				
				parent::DisConnect( $MySQLiconn);	
	
				}
				catch(Exception $e){
					echo "oops! ".$e->getMessage(); 
					
					} 
	
				}	
		
				public function updatePayAccount($id,$balance)
				{
				  $instance = parent::getInstance();
				 // $instance = new DBAccess();
			  $MySQLiconn  = $instance->getConnection();
			  
			   $sql = 'UPDATE payaccount SET balance = :balance  where id = :id ';
			   
				 
				 $statement = $MySQLiconn->prepare($sql);
				 $statement->bindValue(':id', $id);
			   
				$statement->bindValue(':balance', $balance);
				
			  
				 
				 $statement->execute();
			   
			  
				
				 parent::DisConnect( $MySQLiconn);   
				 }	

		
			
				 public function addCashSalary($payid,$amount,$date,$staffid,$name,$month,$year){
		
					try{
				   
				   
				   $instance = parent::getInstance();
				   // $instance = new DBAccess();
				$MySQLiconn  = $instance->getConnection();
					
				   $sql = 'INSERT INTO cashsalary (payid,amount,date,staffid,name,month,year)
						   VALUES (:payid, :amount,:date, :staffid, :name, :month, :year)';
		   
				  
					
				   $statement = $MySQLiconn->prepare($sql);
					$statement->bindValue(':payid', $payid);
				   $statement->bindValue(':amount', $amount);
				   $statement->bindValue(':date', $date);
				   $statement->bindValue(':staffid', $staffid);
				   $statement->bindValue(':name', $name);
				   $statement->bindValue(':month', $month);
				   $statement->bindValue(':year', $year);
				   
				   
				   $statement->execute();
		   
				   parent::DisConnect( $MySQLiconn);	 
					   
					   
					   
						
						
						}
						
						catch(Exception $e){
					   echo "oops! ".$e->getMessage(); 
					   
					   } 
					   
				   
			   }		 
			   


			   public function viewCashSalary($month,$year){
				$instance = parent::getInstance();	
				  $MySQLiconn  = $instance->getConnection();
				   
				   $sql = "SELECT * from cashsalary where month = :month and year = :year "  ;
		   
				   $statement = $MySQLiconn->prepare($sql);
				  
					$statement->bindValue(':month', $month);
					$statement->bindValue(':year', $year);
				  
				   $statement->execute();
				   
				   
				   return $statement;
				  
					parent::DisConnect( $MySQLiconn);  
						
				   
				   
				   } 
			

				   // add sales of form

			public function saleform($formno,$lname,$fname,$staffid, $name, $amount,$class,$date,$increment,$status){
		
				try{
			   
			   
			   $instance = parent::getInstance();
			   // $instance = new DBAccess();
			$MySQLiconn  = $instance->getConnection();
				
			   $sql = 'INSERT INTO form (formid,lname,fname,staffid, name,  amount,class,date, increment,status)
					   VALUES (:formid, :lname, :fname, :staffid, :name, :amount,:class, :date, :increment, :status)';
	   
			  
				
			   $statement = $MySQLiconn->prepare($sql);
			   $statement->bindValue(':formid', $formno);
				$statement->bindValue(':lname', $lname);
				$statement->bindValue(':fname', $fname);
				$statement->bindValue(':staffid', $staffid);
				$statement->bindValue(':name', $name);
			   $statement->bindValue(':amount', $amount);
			   $statement->bindValue(':class', $class);
			   $statement->bindValue(':date', $date);
			   $statement->bindValue(':increment', $increment);
			   $statement->bindValue(':status', $status);
			   
			   $statement->execute();
	   
			   parent::DisConnect( $MySQLiconn);	 
				   
				   
				   
					
					
					}
					
					catch(Exception $e){
				   echo "oops! ".$e->getMessage(); 
				   
				   } 
	   
			   
		   }


		   public function updateFormStatus($formid)
				{
				  $instance = parent::getInstance();
				 // $instance = new DBAccess();
			  $MySQLiconn  = $instance->getConnection();
			  
			   $sql = "UPDATE form SET status = 'registered' where formid = :formid ";
			   
				 
				 $statement = $MySQLiconn->prepare($sql);
				 $statement->bindValue(':id', $id);
			   
				
				
			  
				 
				 $statement->execute();
			   
			  
				
				 parent::DisConnect( $MySQLiconn);   
				 }	

	
				 public function findFormByStatus(){
					$instance = parent::getInstance();	
					  $MySQLiconn  = $instance->getConnection();
					   
					   $sql = "SELECT * from form where status <> 'registered' "  ;
			   
					   $statement = $MySQLiconn->prepare($sql);
					  
						
					  
					   $statement->execute();
					   
					   
					   return $statement;
					  
						parent::DisConnect( $MySQLiconn);  
							
					   
					   
					   } 
					   
					 
					   public function findFormByDate($from,$to){
						$instance = parent::getInstance();	
						  $MySQLiconn  = $instance->getConnection();
						   
						   $sql = "SELECT * from form where date between '.$from.' AND '.$to.' "  ;
				   
						   $statement = $MySQLiconn->prepare($sql);
						  
							
						  
						   $statement->execute();
						   
						   
						   return $statement;
						  
							parent::DisConnect( $MySQLiconn);  
								
						   
						   
						   } 	

					 public function getLastFormID(){
		
				$instance = parent::getInstance();	
			   $MySQLiconn  = $instance->getConnection();
				
				$sql = 'SELECT *
						FROM   form ORDER BY increment DESC LIMIT 1
						';
		
				$statement = $MySQLiconn->prepare($sql);
				
		
				$statement->execute();
				$row = $statement->fetch(PDO::FETCH_ASSOC);
				
			 
			 // $num = $statement->rowCount();
			 
		   $increment = $row['increment'];
			return $increment;
				
			  
				 parent::DisConnect( $MySQLiconn);
				
				
				
				
				}

		
				public function addTrancaction($date,$name,$staffid,$mode,$amount){
		
					try{
				   
				   
				   $instance = parent::getInstance();
				   // $instance = new DBAccess();
				$MySQLiconn  = $instance->getConnection();
					
				   $sql = 'INSERT INTO transaction (date,name, staffid,mode,amount)
						   VALUES (:date, :name, :staffid, :mode,:amount)';
		   
				  
					
				   $statement = $MySQLiconn->prepare($sql);
				   $statement->bindValue(':date', $date);
					$statement->bindValue(':name', $name);
					$statement->bindValue(':staffid', $staffid);
					
					$statement->bindValue(':mode', $mode);
				   $statement->bindValue(':amount', $amount);
				 
				   
				   
				   $statement->execute();
		   
				   parent::DisConnect( $MySQLiconn);	 
					   
					   
					   
						
						
						}
						
						catch(Exception $e){
					   echo "oops! ".$e->getMessage(); 
					   
					   } 
		   
				   
			   }			
	   	   
			   public function updateCashAccount($id,$amount)
			   {
				 $instance = parent::getInstance();
				// $instance = new DBAccess();
			 $MySQLiconn  = $instance->getConnection();
			 
			  $sql = "UPDATE cashaccount SET amount = :amount where id = :id";
			  
				
				$statement = $MySQLiconn->prepare($sql);
				$statement->bindValue(':id', $id);
			  
			   $statement->bindValue(':amount', $amount);
			   
			 
				
				$statement->execute();
			  
			 
			   
				parent::DisConnect( $MySQLiconn);   
				}	

      
				public function updateBankAccount($id,$amount)
				{
				  $instance = parent::getInstance();
				 // $instance = new DBAccess();
			  $MySQLiconn  = $instance->getConnection();
			  
			   $sql = "UPDATE bankaccount SET amount = :amount where id = :id";
			   
				 
				 $statement = $MySQLiconn->prepare($sql);
				 $statement->bindValue(':id', $id);
			   
				$statement->bindValue(':amount', $amount);
				
			  
				 
				 $statement->execute();
			   
			  
				
				 parent::DisConnect( $MySQLiconn);   
				 }		
  
				 
		
				 public function findAmountCashAccount($id){
			
					$instance = parent::getInstance();	
			   $MySQLiconn  = $instance->getConnection();
					
					try {
					$sql = "SELECT * from cashaccount WHERE id = :id";
					
					$statement = $MySQLiconn->prepare($sql);
					
					$statement->bindValue(':id',$id);
					 $statement->execute();
				  $row = $statement->fetch(PDO::FETCH_ASSOC);
				   
				
				  
				  $this->amount = $row['amount'];
					
					parent::DisConnect( $MySQLiconn);	
		
					}
					catch(Exception $e){
						echo "oops! ".$e->getMessage(); 
						
						} 
		
					}	

				
					public function findAmountBankAccount($id){
			
						$instance = parent::getInstance();	
				   $MySQLiconn  = $instance->getConnection();
						
						try {
						$sql = "SELECT * from bankaccount WHERE id = :id";
						
						$statement = $MySQLiconn->prepare($sql);
						
						$statement->bindValue(':id',$id);
						 $statement->execute();
					  $row = $statement->fetch(PDO::FETCH_ASSOC);
					   
					
					  
					  $this->amount = $row['amount'];
						
						parent::DisConnect( $MySQLiconn);	
			
						}
						catch(Exception $e){
							echo "oops! ".$e->getMessage(); 
							
							} 
			
						}	
						 

						public function viewFormPayments(){
							$instance = parent::getInstance();	
							  $MySQLiconn  = $instance->getConnection();
							   
							   $sql = "SELECT * from form WHERE status = 'not' "  ;
					   
							   $statement = $MySQLiconn->prepare($sql);
							  
								
							  
							   $statement->execute();
							   
							   
							   return $statement;
							  
								parent::DisConnect( $MySQLiconn);  
									
							   
							   
							   } 		

				public function updateFormStatus1($formid)
				{
				  $instance = parent::getInstance();
				 // $instance = new DBAccess();
			  $MySQLiconn  = $instance->getConnection();
			  
			   $sql = "UPDATE form SET status = 'registered' where formid = :formid";
			   
				 
				 $statement = $MySQLiconn->prepare($sql);
				 $statement->bindValue(':formid', $formid);
			   
			
				
			  
				 
				 $statement->execute();
			   
			  
				
				 parent::DisConnect( $MySQLiconn);   
				 }	
		
				 public function findFormByFormID($formid){
			
					$instance = parent::getInstance();	
			   $MySQLiconn  = $instance->getConnection();
					
					try {
					$sql = "SELECT * from form WHERE formid = :formid";
					
					$statement = $MySQLiconn->prepare($sql);
					
					$statement->bindValue(':formid',$formid);
					 $statement->execute();
				  $row = $statement->fetch(PDO::FETCH_ASSOC);
				   
				
				  
				  $this->lname = $row['lname'];
				  $this->fname = $row['fname'];
					
					parent::DisConnect( $MySQLiconn);	
		
					}
					catch(Exception $e){
						echo "oops! ".$e->getMessage(); 
						
						} 
		
					}		 

  			   		




}   