<?php 
require_once( "../../db.php" );

 class Staff extends Db {
	 
	public $username;
	public $fname;
	public $lname;
	public $dob;
	public $doe;
	public $gender;
	public $image;
    public $email;
    public $address;
	//public $username;
    /*
	public $class1;
	public $phone;
	public $othernames;
	public $email;
	public $mstatus; 
	public $status1;
	public $class2;
	public $password2;
	
	//new codes
	
	public $id;
	public $code;
	public $term;
	public $session1;
	public $status;
    */
	 public function __construct() {

   }
   
    public function AddUser($username,$fname,$lname,$address,$doe,$phone,$increment){
		
		 try{
		
		
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
		 
        $sql = 'INSERT INTO acstaff (username,fname,lname,doe,address,phone,increment)
                VALUES (:username, :fname,:lname,:doe, :address, :phone, :increment)';

       
         
        $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':username', $username);
        $statement->bindValue(':fname', $fname);
		$statement->bindValue(':lname', $lname);
	
		$statement->bindValue(':doe', $doe);
		
		$statement->bindValue(':phone', $phone);
			
		$statement->bindValue(':address', $address);
		$statement->bindValue(':increment', $increment);
		
        $statement->execute();

        parent::DisConnect( $MySQLiconn);	 
			
			
			
			 
			 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
			
		
	}
	



    // new find staff


    

    // new findstaff


   
		public function findStaffbyUsername($username){
			
			$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
			
			try {
			$sql = "SELECT * from acstaff WHERE username =:username";
			
			$statement = $MySQLiconn->prepare($sql);
			
			$statement->bindValue(':username',$username);
			 $statement->execute();
	      $row = $statement->fetch(PDO::FETCH_ASSOC);
     
          

		  
		  $this->username = $row['username'];
		  $this->fname = $row['fname'];
		  $this->lname = $row['lname'];
	
		  $this->doe = $row['doe'];
          $this->address = $row['address'];
		  $this->phone = $row['phone'];
		 
		//   $this->password2 = $row['password2'];


			
			parent::DisConnect( $MySQLiconn);	

            }
            catch(Exception $e){
                echo "oops! ".$e->getMessage(); 
                
                } 

			}	
		
		
		
		
	public function checkStaffid($username){
	  
	  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   acstaff
                WHERE  username = :username';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':username', $username);

        $statement->execute();
		//$row = $statement->fetch(PDO::FETCH_ASSOC);
		
     
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
	  	
		
		} 	
		
		
		
	
	
  public function checkEmail($email){
	  
	  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   acstaff
                WHERE  email = :email';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':email', $email);

        $statement->execute();
		//$row = $statement->fetch(PDO::FETCH_ASSOC);
		
     
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
	  	
		
		} 	
				
    public function updateStaff($username,$fname,$lname,$address,$doe,$phone)
	   {
		 $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	  $sql = 'UPDATE acstaff SET fname = :fname, lname = :lname, doe = :doe, address = :address, phone = :phone  where username = :username ';
	  
	    
        $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':username', $username);
        $statement->bindValue(':fname', $fname);
		$statement->bindValue(':lname', $lname);
		$statement->bindValue(':address', $address);
		$statement->bindValue(':doe', $doe);
			
	
		$statement->bindValue(':phone', $phone);
		
        $statement->execute();
	  
	 
	   
		parent::DisConnect( $MySQLiconn);   
		}
	
 
 public function searchStaff($name){
	 
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 $sql = 	"SELECT  * FROM acstaff WHERE staffno LIKE '%" . $name .  "%' OR lname LIKE '%" . $name ."%' OR fname LIKE '%" . $name ."%' 
	 OR class LIKE '%" . $name ."%' ";
	 
	 
	 $statement = $MySQLiconn->prepare($sql);
		
      
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
	 
	 }	

	
	public function findAllStaff(){
	 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  acstaff';

        $statement = $MySQLiconn->prepare($sql);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 	
		
		
		}



		public function findAllStaffJoin(){
			$instance = parent::getInstance();	
			  $MySQLiconn  = $instance->getConnection();
			   
			   $sql = 'SELECT a.username,a.lname,a.fname,a.doe,a.phone,a.address, l.role 
					   FROM  acstaff a INNER JOIN aclogin l on a.username = l.username';
	   
			   $statement = $MySQLiconn->prepare($sql);
			  
			   $statement->execute();
			   
			   return $statement;
			  
				parent::DisConnect( $MySQLiconn);  
					
			   
			   
			   }
				   
		
		
	public function deleteStaff($username){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   acstaff
                WHERE  username = :username';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':username', $username);

        $statement->execute();  
		  parent::DisConnect( $MySQLiconn);
		}
		
		
		public function AddSubjectTeacher($staffno,$fname,$lname,$phone,$email){
		
		 try{
		
		
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
		 
        $sql = 'INSERT INTO staff (staffno,fname,lname,phone,email)
                VALUES (:staffno, :fname,:lname,:phone,:email)';

       
         
        $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':staffno', $staffno);
        $statement->bindValue(':fname', $fname);
		$statement->bindValue(':lname', $lname);
		$statement->bindValue(':phone', $phone);
		$statement->bindValue(':email', $email);
		
        $statement->execute();

        parent::DisConnect( $MySQLiconn);	 
			
			
			
			 
			 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
			
		
	}
	
	  
	   public function InsertIntoVerifySubject($id,$subject,$staffno,$class){
		
		 try{
		
		
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
		 
        $sql = 'INSERT INTO verifysubject (id,subject,staffno,class)
                VALUES (:id, :subject,:staffno,:class)';

       
         
        $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':id', $id);
        $statement->bindValue(':subject', $subject);
		$statement->bindValue(':staffno', $staffno);
		$statement->bindValue(':class', $class);
		
		
        $statement->execute();

        parent::DisConnect( $MySQLiconn);	 
			
			
			
			 
			 
			 }
			 
			 catch(Exception $e){
			//echo "oops! ".$e->getMessage(); 
			
			} 
			
		
	}
	
	
	public function selectVerifySubjectByStaff($staffno){
	 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  verifysubject WHERE staffno = :staffno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':staffno', $staffno);
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 	
		
		
		}	
		
		
		
   public function deleteFromVerifySubject($id){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   verifysubject
                WHERE  id = :id';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);

        $statement->execute();  
		  parent::DisConnect( $MySQLiconn);
		}
  	 	
	  
	 
	 
	 public function findClassTeachersPasswords(){
		 
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT s.lname, s.fname, s.class, s.phone,s.staffno, w.password2 FROM 
		staff s INNER JOIN login w ON s.staffno = w.staffno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);

        $statement->execute(); 
		return $statement; 
		  parent::DisConnect( $MySQLiconn);
		 
		 
		 
		 }	
		 
		 
		 
		  public function findClassTeachersSubjectPasswords(){
		 
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT s.lname, s.fname, s.class, s.phone,s.staffno, w.password2 FROM 
		staff s INNER JOIN subjectlogin w ON s.staffno = w.staffno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);

        $statement->execute(); 
		return $statement; 
		  parent::DisConnect( $MySQLiconn);
		 
		 
		 
		 }	
		
		
	  public function updateStaffImage($staffno, $image){
			 
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	      
		  $sql = "UPDATE staff SET image = :image WHERE staffno = :staffno";
		  
		   $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':staffno',$staffno);
		$statement->bindValue(':image',$image);
       
        $statement->execute();
		
	   
	   
		 parent::DisConnect( $MySQLiconn);  
		  
		  
		  
			 
			 }	
		
	
	 public function updateLoginDetailsRole($staffno,$role) {
	   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();	
	   
	 try{
	 
    //   $sql = "INSERT INTO login (staffno,password,role,email,textcode,password2)
              //  VALUES (:staffno, :password, :role, :email, :textcode, :password2)";
			  
			  $sql = "UPDATE login SET role = :role WHERE staffno = :staffno";
					

      
        $statement = $MySQLiconn->prepare($sql);
	
        $statement->bindValue(':staffno',$staffno, PDO::PARAM_STR );
		
       
        
		
			$statement->bindValue(":role", $role , PDO::PARAM_STR);
        $statement->execute();
		
		
		parent::DisConnect( $MySQLiconn);
	  }

        catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
    }
	
// new codes  ///


           public function updateActivationCodeDcube($id, $code,$session1,$term,$status){
			 
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	      
		  $sql = "UPDATE activatecode SET code = :code, session1 = :session1, term1 = :term1, status = :status WHERE id = :id";
		  
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':id',$id);
		   $statement->bindValue(':code',$code);
           $statement->bindValue(':session1',$session1);
	       $statement->bindValue(':term',$term);
		   $statement->bindValue(':status',$status);
        $statement->execute();
		
	   
	   
		 parent::DisConnect( $MySQLiconn);  
		  
		  
		  
			  }			
		
		
		
		public function findActivationCodeByCode($code){
			
			$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
			
			
			$sql = 'SELECT * from activatecode WHERE code = :code';
			
			$statement = $MySQLiconn->prepare($sql);
			
			$statement->bindValue(':code',$code);
			 $statement->execute();
	      $row = $statement->fetch(PDO::FETCH_ASSOC);
		  
		  $this->staffno = $row['staffno'];
		  $this->fname = $row['fname'];
		  $this->lname = $row['lname'];
		  $this->dob = $row['dob'];
		  $this->doe = $row['doe'];
          $this->gender = $row['gender'];
		 
		//   $this->password2 = $row['password2'];


			
			parent::DisConnect( $MySQLiconn);	
			}	
	 
	   
	   	public function findActivationCodeById($id){
			
			$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
			
			
			$sql = 'SELECT * from activatecode WHERE id = :id';
			
			$statement = $MySQLiconn->prepare($sql);
			
			$statement->bindValue(':id',$id);
			 $statement->execute();
	      $row = $statement->fetch(PDO::FETCH_ASSOC);
		  
		  $this->code = $row['code'];
		  $this->session1 = $row['session1'];
		  $this->term = $row['term'];
		  $this->status = $row['status'];
		
		 
		//   $this->password2 = $row['password2'];


			
			parent::DisConnect( $MySQLiconn);	
			}	 
			
			
			 public function updateActivationCodeByCode($code,$status){
			 
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	      
		  $sql = "UPDATE activatecode SET code = :code,  status = :status WHERE id = :id";
		  
		   $statement = $MySQLiconn->prepare($sql);
		
		   $statement->bindValue(':code',$code);
           
	     
		   $statement->bindValue(':status',$status);
        $statement->execute();
		
	   
	   
		 parent::DisConnect( $MySQLiconn);  
		  
		  
		  
			  }	 

			
			  public function getLastStaffID(){
		
				$instance = parent::getInstance();	
			   $MySQLiconn  = $instance->getConnection();
				
				$sql = 'SELECT *
						FROM   acstaff ORDER BY increment DESC LIMIT 1
						';
		
				$statement = $MySQLiconn->prepare($sql);
				//$statement->bindValue(':title', $title);
		
				$statement->execute();
				$row = $statement->fetch(PDO::FETCH_ASSOC);
				
			 
			 // $num = $statement->rowCount();
			 
		   $increment = $row['increment'];
			return $increment;
				
			  
				 parent::DisConnect( $MySQLiconn);
				
				
				
				
				}


				public function findAllPayrollStaff(){
					$instance = parent::getInstance();	
					  $MySQLiconn  = $instance->getConnection();
					   
					   $sql = 'SELECT *
							   FROM  payrollstaff';
			   
					   $statement = $MySQLiconn->prepare($sql);
					  
					   $statement->execute();
					   
					   return $statement;
					  
						parent::DisConnect( $MySQLiconn);  
							
					   
					   
					   }
	  
					   public function CreateDebitrow($payid,$loan,$penalty,$welfare,
					   $absent,$schoolfees,$creche,$lateness,$others,$salary_value,$month,$year,$date){
			   
						   try{
						  
						  
						  $instance = parent::getInstance();
						  // $instance = new DBAccess();
					   $MySQLiconn  = $instance->getConnection();
						   
						  $sql = 'INSERT INTO debit (payid,loan,penalty,welfare,absent,
						  schoolfees,creche,lateness,others,salary_value,month,year,date)
								  VALUES (:payid,:loan, :penalty, :welfare,
								  :absent, :schoolfees, :creche, :lateness, :others, :salary_value,:month,:year,:date)';
				  
						 
						   
						  $statement = $MySQLiconn->prepare($sql);
						   $statement->bindValue(':payid', $payid);
					   
						   $statement->bindValue(':loan', $loan);
						   $statement->bindValue(':penalty', $penalty);
						   $statement->bindValue(':welfare', $welfare);
						   $statement->bindValue(':absent', $absent);
						   $statement->bindValue(':creche', $creche);
						   $statement->bindValue(':lateness', $lateness);
						   $statement->bindValue(':others', $others);
						   $statement->bindValue(':schoolfees', $schoolfees);
						   $statement->bindValue(':salary_value', $salary_value);
						   
						   $statement->bindValue(':month', $month);
						   $statement->bindValue(':year', $year);
						   $statement->bindValue(':date', $date);
						  
						  $statement->execute();
				  
						  parent::DisConnect( $MySQLiconn);	 
							  
							   
							   
							   }
							   
							   catch(Exception $e){
							  echo "oops! ".$e->getMessage(); 
							  
							  } 
							  
						  
					  }
	   
	   
			   
					  public function findAllPayrollStaffCount($payid,$month,$year){
					   $instance = parent::getInstance();	
						 $MySQLiconn  = $instance->getConnection();
						  
						  $sql = 'SELECT *
								  FROM  debit where payid = :payid AND month = :month AND year = :year'  ;
				  
						  $statement = $MySQLiconn->prepare($sql);
						  $statement->bindValue(':payid', $payid);
						   $statement->bindValue(':month', $month);
						   $statement->bindValue(':year', $year);
						 
						  $statement->execute();
						  $num = $statement->rowCount();
						  
						  return $num;
						 
						   parent::DisConnect( $MySQLiconn);  
							   
						  
						  
						  }  

						  public function findPayrollStaffbyPayid($payid){
			
							$instance = parent::getInstance();	
					   $MySQLiconn  = $instance->getConnection();
							
							try {
							$sql = "SELECT * from payrollstaff WHERE payid =:payid";
							
							$statement = $MySQLiconn->prepare($sql);
							
							$statement->bindValue(':payid',$payid);
							 $statement->execute();
						  $row = $statement->fetch(PDO::FETCH_ASSOC);
						   
						  $this->payid = $row['payid'];
						  $this->title = $row['title'];
						  $this->position = $row['position'];
					
						  $this->dob = $row['dob'];
						  $this->doe = $row['doe'];
						  $this->phone = $row['phone'];
						  $this->date = $row['date'];
						  $this->status = $row['status'];
						  $this->salary_value = $row['salary_value'];
						  $this->mandatory_savings = $row['mandatory_savings'];
						  $this->account = $row['account'];
						  $this->fname = $row['fname'];
						  $this->lname = $row['lname'];
						  
						  $this->accountno = $row['accountno'];
						  $this->sortcode = $row['sortcode'];
						  $this->bankname = $row['bankname'];
						//   $this->password2 = $row['password2'];
				
				
							
							parent::DisConnect( $MySQLiconn);	
				
							}
							catch(Exception $e){
								echo "oops! ".$e->getMessage(); 
								
								} 
				
							}		  
	 
	 
	 }

?>